package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;

public class RelatorioComissaoSinteticoBean {
	private Integer comissaoID;
	private Date dataEvento;
	private String pontoVenda;
	private Integer pontoVendaID;
	private Integer empresaID;

	private BigDecimal totalTarifa;
	private BigDecimal comissaoTarifa;
	private BigDecimal totalVendaGAP;
	private BigDecimal comissaoGAP;
	private BigDecimal totalImpGAP;
	private BigDecimal comissaoImpGAP;
	private BigDecimal totalExcBagagem;
	private BigDecimal comissaoExcBagagem;
	private BigDecimal totalOutros;
	private BigDecimal comissaoOutros;
	private BigDecimal totalSegOpcional;
	private BigDecimal comissaoSegOpcional;
	private BigDecimal totalRecargaCell;
	private BigDecimal comissaoRecargaCell;
	private BigDecimal totalReceitaBruta;
	private BigDecimal comissaoTotal;


	public Integer getComissaoID() {
		return comissaoID;
	}

	public void setComissaoID(Integer comissaoID) {
		this.comissaoID = comissaoID;
	}
	
	public Date getDataEvento() {
		return dataEvento;
	}

	public void setDataEvento(Date dataEvento) {
		this.dataEvento = dataEvento;
	}

	public String getPontoVenda() {
		return pontoVenda;
	}

	public void setPontoVenda(String pontoVenda) {
		this.pontoVenda = pontoVenda;
	}

	public Integer getPontoVendaID() {
		return pontoVendaID;
	}

	public void setPontoVendaID(Integer pontoVendaID) {
		this.pontoVendaID = pontoVendaID;
	}

	public Integer getEmpresaID() {
		return empresaID;
	}

	public void setEmpresaID(Integer empresaID) {
		this.empresaID = empresaID;
	}

	public BigDecimal getTotalTarifa() {
		return totalTarifa;
	}

	public void setTotalTarifa(BigDecimal totalTarifa) {
		this.totalTarifa = totalTarifa;
	}

	public BigDecimal getComissaoTarifa() {
		return comissaoTarifa;
	}

	public void setComissaoTarifa(BigDecimal comissaoTarifa) {
		this.comissaoTarifa = comissaoTarifa;
	}

	public BigDecimal getTotalVendaGAP() {
		return totalVendaGAP;
	}

	public void setTotalVendaGAP(BigDecimal totalVendaGAP) {
		this.totalVendaGAP = totalVendaGAP;
	}

	public BigDecimal getComissaoGAP() {
		return comissaoGAP;
	}

	public void setComissaoGAP(BigDecimal comissaoGAP) {
		this.comissaoGAP = comissaoGAP;
	}

	public BigDecimal getTotalImpGAP() {
		return totalImpGAP;
	}

	public void setTotalImpGAP(BigDecimal totalImpGAP) {
		this.totalImpGAP = totalImpGAP;
	}

	public BigDecimal getComissaoImpGAP() {
		return comissaoImpGAP;
	}

	public void setComissaoImpGAP(BigDecimal comissaoImpGAP) {
		this.comissaoImpGAP = comissaoImpGAP;
	}

	public BigDecimal getTotalExcBagagem() {
		return totalExcBagagem;
	}

	public void setTotalExcBagagem(BigDecimal totalExcBagagem) {
		this.totalExcBagagem = totalExcBagagem;
	}

	public BigDecimal getComissaoExcBagagem() {
		return comissaoExcBagagem;
	}

	public void setComissaoExcBagagem(BigDecimal comissaoExcBagagem) {
		this.comissaoExcBagagem = comissaoExcBagagem;
	}

	public BigDecimal getTotalOutros() {
		return totalOutros;
	}

	public void setTotalOutros(BigDecimal totalOutros) {
		this.totalOutros = totalOutros;
	}

	public BigDecimal getComissaoOutros() {
		return comissaoOutros;
	}

	public void setComissaoOutros(BigDecimal comissaoOutros) {
		this.comissaoOutros = comissaoOutros;
	}

	public BigDecimal getTotalSegOpcional() {
		return totalSegOpcional;
	}

	public void setTotalSegOpcional(BigDecimal totalSegOpcional) {
		this.totalSegOpcional = totalSegOpcional;
	}

	public BigDecimal getComissaoSegOpcional() {
		return comissaoSegOpcional;
	}

	public void setComissaoSegOpcional(BigDecimal comissaoSegOpcional) {
		this.comissaoSegOpcional = comissaoSegOpcional;
	}

	public BigDecimal getTotalRecargaCell() {
		return totalRecargaCell;
	}

	public void setTotalRecargaCell(BigDecimal totalRecargaCell) {
		this.totalRecargaCell = totalRecargaCell;
	}

	public BigDecimal getComissaoRecargaCell() {
		return comissaoRecargaCell;
	}

	public void setComissaoRecargaCell(BigDecimal comissaoRecargaCell) {
		this.comissaoRecargaCell = comissaoRecargaCell;
	}

	public BigDecimal getTotalReceitaBruta() {
		return totalReceitaBruta;
	}

	public void setTotalReceitaBruta(BigDecimal totalReceitaBruta) {
		this.totalReceitaBruta = totalReceitaBruta;
	}

	public BigDecimal getComissaoTotal() {
		return comissaoTotal;
	}

	public void setComissaoTotal(BigDecimal comissaoTotal) {
		this.comissaoTotal = comissaoTotal;
	}

	@Override
	public int hashCode() {
		return Objects.hash(comissaoID);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioComissaoSinteticoBean other = (RelatorioComissaoSinteticoBean) obj;
		return Objects.equals(empresaID, other.empresaID) && Objects.equals(pontoVendaID, other.pontoVendaID);
	}

}
